astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- VOTable XML handling (`astropy.io.votable`) »
- convert_to_writable_filelike

# convert_to_writable_filelike

`astropy.io.votable.util.``convert_to_writable_filelike`(*args, **kwds)

  Returns a writable file-like object suitable for streaming output.

  Parameters:

  fd : file path string or writable file-like object

  > May be:

  > > - a file path, in which case it is opened, and the file object is returned.
  > > - an object with a :meth:`write` method, in which case that object is returned.

  compressed : bool, optional

  > If `True`, create a gzip-compressed file. (Default is `False`).

  Returns: | fd : writable file-like object